Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

resourceType
enum<string>
required

Resource type

Available options:
workflow,
layout
resourceId
string
required

Resource ID

locale
string
required

Locale code

Response

Translation found

resourceId
string
required

Resource identifier

Example:

"welcome-email"

resourceType
enum<string>
required

Resource type

Available options:
workflow,
layout
Example:

"workflow"

locale
string
required

Locale code

Example:

"en_US"

content
object
required

Translation content as JSON object

Example:
createdAt
string
required

Creation timestamp

Example:

"2024-01-01T00:00:00.000Z"

updatedAt
string
required

Last update timestamp

Example:

"2024-01-01T00:00:00.000Z"